
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors: James Gallagher

// $Log: DSPInt16.cc,v $
// Revision 1.2  1999/04/30 21:32:46  jimg
// Merged no-gnu and release-2-17
//
// Revision 1.1  1999/03/26 22:56:21  jimg
// Added. These are stub classes
//

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPInt16.cc,v 1.2 1999/04/30 21:32:46 jimg Exp $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>

#include "DSPInt16.h"

Int16 *
NewInt16(const string &n)
{
    return new DSPInt16(n);
}

DSPInt16::DSPInt16(const string &n) : Int16(n)
{
}

BaseType *
DSPInt16::ptr_duplicate(){

    return new DSPInt16(*this);
}

bool
DSPInt16::read(const string &, int &error)
{
    error = 1;
    return false;
}
