
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors: James Gallagher

// $Log: DSPInt16.h,v $
// Revision 1.2  1999/04/30 21:32:46  jimg
// Merged no-gnu and release-2-17
//
// Revision 1.1  1999/03/26 22:56:22  jimg
// Added. These are stub classes
//

#ifndef _DSPInt16_h
#define _DSPInt16_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Int16.h"
extern Int16 * NewInt16(const string &n = "");

class DSPInt16: public Int16 {
public:
    DSPInt16(const string &n = "");
    virtual ~DSPInt16() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset, int &error);
};

#endif

