
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors: James Gallagher

// $Log: DSPUInt16.h,v $
// Revision 1.2  1999/04/30 21:32:47  jimg
// Merged no-gnu and release-2-17
//
// Revision 1.1  1999/03/26 22:56:22  jimg
// Added. These are stub classes
//

#ifndef _DSPUInt16_h
#define _DSPUInt16_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "UInt16.h"
extern UInt16 * NewUInt16(const string &n = (char *)0);

class DSPUInt16: public UInt16 {
public:
    DSPUInt16(const string &n = (char *)0);
    virtual ~DSPUInt16() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset, int &error);
};

#endif

